# -*- encoding: utf-8 -*-
#

"""
This is Wombat, an operations and maintenance tool for Erlang systems
© 2015, Erlang Solutions Ltd
"""

import argparse

class ArgParse(argparse.ArgumentParser):
    def __init__(self):
        argparse.ArgumentParser.__init__(self,
            description = 'Script to access to WombatOAM functionality')
        self.add_argument('-H', '--host', default = 'localhost')
        self.add_argument('-p', '--port', default = '8080|8443')
        self.add_argument('-s', '--https', action='store_true')
        self.add_argument('--user', default = 'admin')
        self.add_argument('--password', default = 'admin')

    def parse_known_args(self):
        a, rest = argparse.ArgumentParser.parse_known_args(self)
        if a.port == '8080|8443':
            if a.https: a.port = '8443'
            else: a.port = '8080'
        return a, rest
