## How do I install AppDynamics

**The following was documented against version PRO43.**

AppDynamics can by installed locally or you can use the SaaS version.
There is a free trial but this does not include sending metrics to AppDynamics.
It was explained to Adam Ek (adam.ek@appdynamics.com) from sales that Wombat integration can be mutually beneficial to Erlang
Solutions and AppDynamics. As such he upgraded (for a limited time) our licence to cover sending metrics
to AppDynamics. Contact him for a licence.

Wombat data is not sent directly to AppDynamics, it is sent to a [Standalone Machine Agent](https://docs.appdynamics.com/display/PRO43/Standalone+Machine+Agent) (SMA) which
sends it to [AppDynamics Controller](https://docs.appdynamics.com/display/PRO43/AppDynamics+Platform) via HTTP(S).
The SMA is a Java program that exposes an [HTTP interface](https://docs.appdynamics.com/display/PRO43/Standalone+Machine+Agent+HTTP+Listener) for receiving metrics and events
metrics. Consult with the documentation for more information.

In summary to install AppDynamics with the intention of Wombat development you need
1. [AppDynamics]([AppDynamics](https://docs.appdynamics.com/display/PRO43/AppDynamics+Platform)) installation or SaaS version
2. [Standalone Machine Agent](https://docs.appdynamics.com/display/PRO43/Standalone+Machine+Agent) 

## AppDynamics RabbitMQ Monitoring Extension

You can [download and install](https://www.appdynamics.com/community/exchange/extension/rabbitmq-monitoring-extension/) the RabbitMQ extension for free. This is useful when
comparing metrics between it and Wombat.


