#!/bin/bash

# http://redsymbol.net/articles/unofficial-bash-strict-mode/
set -eu
set -o pipefail
IFS=$'\n\t'

USER_NAME=$1

useradd --create-home "$USER_NAME"
SSH_DIR=/home/$USER_NAME/.ssh
mkdir "$SSH_DIR"
cp .ssh/authorized_keys "$SSH_DIR/"

chown "$USER_NAME" "$SSH_DIR"
chown "$USER_NAME" "$SSH_DIR/authorized_keys"
chmod 700 "$SSH_DIR"
chmod 600 "$SSH_DIR/authorized_keys"
